Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web
Interface AbstractWebContainer.WebDescriptorParser

Enclosing interface:
  AbstractWebContainer

public static interface AbstractWebContainer.WebDescriptorParser

Method Summary
`org.jboss.deployment.DeploymentInfo` | `getDeploymentInfo()` Get the DeploymentInfo for the war the triggered the deployment process.
`void` | `parseWebAppDescriptors(ClassLoader loader, WebMetaData metaData)` This method is called as part of subclass performDeploy() method implementations to parse the web-app.xml and jboss-web.xml deployment descriptors from a war deployment.

Method Detail

### parseWebAppDescriptors

    public void parseWebAppDescriptors(ClassLoader loader,
                                       WebMetaData metaData)
                                throws Exception

  This method is called as part of subclass performDeploy() method implementations to parse the web-app.xml and jboss-web.xml deployment descriptors from a war deployment. The method creates the ENC(java:comp/env) env-entry, resource-ref, ejb-ref, etc element values. The creation of the env-entry values does not require a jboss-web.xml descriptor. The creation of the resource-ref and ejb-ref elements does require a jboss-web.xml descriptor for the JNDI name of the deployed resources/EJBs. Because the ENC context is private to the web application, the web application class loader is used to identify the ENC. The class loader is used because each war typically requires a unique class loader to isolate the web application classes/resources. This means that the ClassLoader passed to this method must be the thread context ClassLoader seen by the server/jsp pages during init/destroy/service/etc. method invocations if these methods interace with the JNDI ENC context.

  Parameters:
    `loader` - the ClassLoader for the web application. May not be null.
    `metaData` - the WebMetaData from the WebApplication object passed to the performDeploy method.
  Throws:
    `Exception`

### getDeploymentInfo

    public org.jboss.deployment.DeploymentInfo getDeploymentInfo()

  Get the DeploymentInfo for the war the triggered the deployment process. The returned reference may be updated to affect the state of the JBoss DeploymentInfo object. This can be used to assign ObjectNames of MBeans created by the container.

  Returns:
    The DeploymentInfo for the war being deployed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.